跳转到主要内容
POST
Search Episode Titles

请求规范

  • 方法与路径: POST /apis/v1/listennotes/find-episodes-by-title
  • 可用状态: enabled
  • 请求 URL 模板: https://api.aisa.one/apis/v1/listennotes/find-episodes-by-title
  • Runtime 事实版本: 3f699076c1baf63c05edde2629715e34586e70ee0982cdee89366394f35facf8
完整 OpenAPI 定义 有效请求与价格声明(包括认证和引用的 schema):

费用与请求规则

按用量计费;默认请求预估费用:$0.0403 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。
  • 默认请求参考估价(USD): 0.0403
  • 声明的单位费率(USD): 1e-06
  • 计费单位: provider_credit
  • 计费依据: response_units
  • 公开参考倍率: 1.0
  • 声明的最大计数或单位数: 10000000
  • 结算证据来源: response_body

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
q
string
必填

An episode"s title, e.g., Jerusalem Demsas on The Dispossessed. You can use double quotes to do verbatim match, e.g., "Jerusalem Demsas on The Dispossessed". Otherwise, it"s fuzzy search.

podcast_id
string

Refine search results by specifying a podcast through its unique ID. The format of the podcast ID is governed by the podcast_id_type parameter. For listennotes_id, the podcast ID will look like "cda18f20f1be4ac7b3cce7d0eb168fff". For itunes_id, it will be a numerical value like "983795625". For spotify_id, expect a format like "0Z1234tGXD2hVhjFrrhJ7g". For rss, the podcast ID will be the RSS URL, e.g., "https://cowenconvos.libsyn.com/rss".

podcast_id_type
enum<string>
默认值:listennotes_id

The type of podcast id. Valid values are listennotes_id, itunes_id, spotify_id, and rss. Note: itunes_id is for Apple Podcasts.

可用选项:
itunes_id,
listennotes_id,
rss,
spotify_id

响应

Tool result data

data
object
必填